devplugin

## Class PluginsFilterComponent

- java.lang.Object
- - devplugin.PluginsFilterComponent

- All Implemented Interfaces:
    FilterComponent

      public abstract class PluginsFilterComponent
      extends java.lang.Object
      implements FilterComponent

  Override this class to support filter components for your plugin.
  Implementation note: Your class must be public, so it can be constructed by reflection.
  Author:
    René Mach

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tvbrowser.core.filters.FilterComponent

      `FilterComponent.NameComparator, FilterComponent.TypeComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginsFilterComponent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Gets the description of this filter component.
    `java.lang.String` | `getName()` Gets the name of this filter component.
    `javax.swing.JPanel` | `getSettingsPanel()` Gets the settings panel for this filter component.
    `java.lang.String` | `getTypeDescription()` Gets the description of this type of filter component.
    `abstract java.lang.String` | `getUserPresentableClassName()` Returns the user presentable name of this class.
    `void` | `saveSettings()` Is called when the settings should be saved (aka the users pressed the OK-Button in the Settings Dialog)
    `void` | `setDescription(java.lang.String desc)` Sets the description of this filter component.
    `void` | `setName(java.lang.String name)` Sets the name of this filter component.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tvbrowser.core.filters.FilterComponent

      `accept, getVersion, read, write`

- - ### Constructor Detail

    - #### PluginsFilterComponent

          public PluginsFilterComponent()

  - ### Method Detail

    - #### getName

          public final java.lang.String getName()

      Gets the name of this filter component.
      Specified by:
        `getName` in interface `FilterComponent`
      Returns:
        The name of this filter compoent.

    - #### getDescription

          public final java.lang.String getDescription()

      Gets the description of this filter component.
      Specified by:
        `getDescription` in interface `FilterComponent`
      Returns:
        The description of this filter component.

    - #### setName

          public final void setName(java.lang.String name)

      Sets the name of this filter component.
      Specified by:
        `setName` in interface `FilterComponent`
      Parameters:
        `name` - The new name of this filter component.

    - #### setDescription

          public final void setDescription(java.lang.String desc)

      Sets the description of this filter component.
      Specified by:
        `setDescription` in interface `FilterComponent`
      Parameters:
        `desc` - The new description of this filter component.

    - #### getSettingsPanel

          public javax.swing.JPanel getSettingsPanel()

      Gets the settings panel for this filter component.
      Specified by:
        `getSettingsPanel` in interface `FilterComponent`
      Returns:
        The settings panel for this filter component.

    - #### getTypeDescription

          public java.lang.String getTypeDescription()

      Gets the description of this type of filter component.
      Specified by:
        `getTypeDescription` in interface `FilterComponent`
      Returns:
        The description of the FilterComponent type.
      Since:
        3.3.1

    - #### saveSettings

          public void saveSettings()

      Is called when the settings should be saved (aka the users pressed the OK-Button in the Settings Dialog)
      Specified by:
        `saveSettings` in interface `FilterComponent`

    - #### getUserPresentableClassName

          public abstract java.lang.String getUserPresentableClassName()

      Returns the user presentable name of this class. Don't return `null`, return always a clear name that describes this filter component for selection in the filter component dialog.
      Returns:
        The user presentable name of this class.

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)